/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2017 Wolfgang Betz
 *
 * Fesslix is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Fesslix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef flxlibs_interface_H
#define flxlibs_interface_H

#include "flxobjects.h"


class flxlibs_interface {
  private:
    std::list<std::string> obj_list;
    std::list<std::string> fun_list;
    
    FlxObjectReadBox* objReadBox;
    FlxFunctionBox* funBox;
  public:
    flxlibs_interface() : objReadBox(NULL), funBox(NULL) {}
    ~flxlibs_interface();
    
    void set_boxes(FlxObjectReadBox* objReadBoxV, FlxFunctionBox* funBoxV);
    void free_memory();
    
    void add_obj(const std::string name, FlxObjReadBase* obj);
    void add_fun(const std::string name, FunReadFunBase* fun);
};






#endif // flxlibs_interface_H